Bug 245366

Summary: [exp-run] make malloc.h usable
Product: Ports & Packages Reporter: Konstantin Belousov <kib>
Component: Individual Port(s)Assignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Only Me CC: jbeich, swills, yuri
Priority: --- Flags: kib: exp-run?
Version: Latest   
Hardware: Any   
OS: Any   

Description Konstantin Belousov freebsd_committer 2020-04-05 09:03:43 UTC
Please consider does the review https://reviews.freebsd.org/D24297
requires the exp-run.  I believe that it does not, see arguments in the trail.

If you consider it as worth the run, please start the exp-run.
Comment 1 Antoine Brodin freebsd_committer 2020-04-23 05:42:02 UTC
Note:

The ports tree caches ac_cv_header_malloc_h=no,  so most ports didn't use malloc.h

There are still some new failures that seems to be due to stdbool (included via malloc_np)

http://package18.nyi.freebsd.org/data/headamd64PR245366-default/2020-04-21_05h28m16s/logs/thoteditor-2.1e_4.log
http://package18.nyi.freebsd.org/data/headamd64PR245366-default/2020-04-21_05h28m16s/logs/swi-pl-7.6.4_1.log
Comment 2 Konstantin Belousov freebsd_committer 2020-04-23 09:42:53 UTC
(In reply to Antoine Brodin from comment #1)
Thanks, I updated the
https://reviews.freebsd.org/D24297
review with the fix for bool pollution.
Comment 3 Antoine Brodin freebsd_committer 2020-04-26 11:53:19 UTC
The malloc_np.h header still seems to have issues:

http://package18.nyi.freebsd.org/data/headamd64PR245366-default/2020-04-26_10h34m15s/logs/errors/binutils-2.33.1_2,1.log
Comment 4 Konstantin Belousov freebsd_committer 2020-04-26 21:22:59 UTC
(In reply to Antoine Brodin from comment #3)
Indeed, one plain 'bool' was left unnoticed.  Thanks for the report.
The review is updated.
Comment 7 Konstantin Belousov freebsd_committer 2020-05-01 19:21:05 UTC
(In reply to Antoine Brodin from comment #6)
So wxhexeditor problem seems to be a reuse of the bool definition, this should be
worked around in latest review update.
ja-skk-tools cannot tolerate pollution from strings.h, and this header is not
needed in malloc_np.h, again fixed in the update.

On the other hand, giacxcas seems to expect that there is mallinfo which is
Linux (glibc really)-specific extension, so I do not plan to fix it in src/.

Please take the Diff 71250 from the review.  For giacxcas, the workaround is to
still disable malloc.h, I believe.
Comment 9 Antoine Brodin freebsd_committer 2020-05-12 11:32:39 UTC
Similar new failure on amd64.
Comment 10 Konstantin Belousov freebsd_committer 2020-05-12 12:10:48 UTC
(In reply to Antoine Brodin from comment #9)
Thank you for all runs.  The math/giacxcas failure is not fixable in src/, because the port assumes that presence of malloc.h implies presence of linux-specific extensions.

I think that the port have to disable use of malloc.h and all the consequences
of it. I added the port maintainer (yuri@) to Cc: there.

So are you fine with the review now ?  I will go ahead after your confirmation.
Comment 11 Antoine Brodin freebsd_committer 2020-05-12 12:19:51 UTC
(In reply to Konstantin Belousov from comment #10)
Yes i'm fine.
Comment 12 commit-hook freebsd_committer 2020-05-12 18:15:31 UTC
A commit references this bug:

Author: antoine
Date: Tue May 12 18:15:07 UTC 2020
New revision: 535001
URL: https://svnweb.freebsd.org/changeset/ports/535001

Log:
  malloc.h is now usable on head

  PR:		245366

Changes:
  head/Templates/config.site